# CBpanel "WINDOWLIST" plugin

name = "WindowList"
description = "List of currently open applications"

import CBpanel, wnck, gtk, gtk.gdk

class Plugin(CBpanel.Plugin):
    def __init__(self, panel, settings):
        CBpanel.Plugin.__init__(self, panel, settings)

        screen = wnck.screen_get_default()
        tb = wnck.Tasklist(screen)
        tb.set_minimum_height(0)
        tb.show()
        self.add(tb)
        self.show_all()
